petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMStagGetGhostCorners

return global element indices of the local region, including ghost points

### Synopsis

    PetscErrorCode DMStagGetGhostCorners(DM dm,PetscInt *x,PetscInt *y,PetscInt *z,PetscInt *m,PetscInt *n,PetscInt *p)

Not Collective

### Input Argument

dm -the DMStag object

### Output Arguments

| x,y,z | - starting element indices in each direction
| m,n,p | - element widths in each direction

### Notes

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids. These arguments may be set to NULL in this case.

### See Also

DMSTAG, DMStagGetCorners(), DMDAGetGhostCorners()

### Level

beginner

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages